## peekaboo 0.5

=== extras/faad2/Makefile ===
# Makefile.in generated by automake 1.7.9 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2
top_srcdir = /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2
VPATH = /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2
pkgdatadir = $(datadir)/faad2
pkglibdir = $(libdir)/faad2
pkgincludedir = $(includedir)/faad2
top_builddir = .

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /scratchbox/tools/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = arm-unknown-linux-gnu
ACLOCAL = ${SHELL} /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/missing --run aclocal-1.7
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/missing --run tar
AR = arm-linux-ar
AUTOCONF = ${SHELL} /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/missing --run autoconf
AUTOHEADER = ${SHELL} /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/missing --run autoheader
AUTOMAKE = ${SHELL} /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/missing --run automake-1.7
AWK = gawk
CC = arm-linux-gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = arm-linux-gcc -E
CPPFLAGS = 
CXX = arm-linux-g++
CXXCPP = arm-linux-g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
F77 = arm-linux-g77
FFLAGS = -g -O2
GTK_CONFIG = 
HAVE_MPEG4IP_PLUG_FALSE = 
HAVE_MPEG4IP_PLUG_TRUE = #
HAVE_XMMS_FALSE = 
HAVE_XMMS_TRUE = #
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBTOOL_DEPS = ./ltmain.sh
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/missing --run makeinfo
MP4FF_LIBS = 
OBJEXT = o
PACKAGE = faad2
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
RANLIB = arm-linux-ranlib
RPMBUILD = rpm
SET_MAKE = 
SHELL = /bin/sh
STRIP = arm-linux-strip
VERSION = 2.0
XMMS_CONFIG = 
ac_ct_AR = 
ac_ct_CC = 
ac_ct_CXX = 
ac_ct_F77 = 
ac_ct_RANLIB = 
ac_ct_STRIP = 
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnu
build_alias = arm-linux
build_cpu = arm
build_os = linux-gnu
build_vendor = unknown
datadir = ${prefix}/share
exec_prefix = ${prefix}
external_mp4v2 = no
host = arm-unknown-linux-gnu
host_alias = arm-linux
host_cpu = arm
host_os = linux-gnu
host_vendor = unknown
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
oldincludedir = /usr/include
prefix = /usr/local
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
SUBDIRS = libfaad common frontend plugins

EXTRA_DIST = faad2.spec
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES = faad2.spec
DIST_SOURCES =

RECURSIVE_TARGETS = info-recursive dvi-recursive pdf-recursive \
	ps-recursive install-info-recursive uninstall-info-recursive \
	all-recursive install-data-recursive install-exec-recursive \
	installdirs-recursive install-recursive uninstall-recursive \
	check-recursive installcheck-recursive
DIST_COMMON = README $(srcdir)/Makefile.in $(srcdir)/configure AUTHORS \
	COPYING ChangeLog INSTALL Makefile.am NEWS TODO aclocal.m4 \
	compile config.guess config.h.in config.sub configure \
	configure.in depcomp faad2.spec.in install-sh ltmain.sh missing \
	mkinstalldirs
DIST_SUBDIRS = $(SUBDIRS)
all: config.h
	$(MAKE) $(AM_MAKEFLAGS) all-recursive

.SUFFIXES:

am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  Makefile
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)

$(top_builddir)/config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck
$(srcdir)/configure:  $(srcdir)/configure.in $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
	cd $(srcdir) && $(AUTOCONF)

$(ACLOCAL_M4):  configure.in 
	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)

config.h: stamp-h1
	@if test ! -f $@; then \
	  rm -f stamp-h1; \
	  $(MAKE) stamp-h1; \
	else :; fi

stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
	@rm -f stamp-h1
	cd $(top_builddir) && $(SHELL) ./config.status config.h

$(srcdir)/config.h.in:  $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOHEADER)
	touch $(srcdir)/config.h.in

distclean-hdr:
	-rm -f config.h stamp-h1
faad2.spec: $(top_builddir)/config.status faad2.spec.in
	cd $(top_builddir) && $(SHELL) ./config.status $@

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@set fnord $$MAKEFLAGS; amf=$$2; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

mostlyclean-recursive clean-recursive distclean-recursive \
maintainer-clean-recursive:
	@set fnord $$MAKEFLAGS; amf=$$2; \
	dot_seen=no; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	rev=''; for subdir in $$list; do \
	  if test "$$subdir" = "."; then :; else \
	    rev="$$subdir $$rev"; \
	  fi; \
	done; \
	rev="$$rev ."; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done
ctags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
	done

ETAGS = etags
ETAGSFLAGS =

CTAGS = ctags
CTAGSFLAGS =

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique

TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	if (etags --etags-include --version) >/dev/null 2>&1; then \
	  include_option=--etags-include; \
	else \
	  include_option=--include; \
	fi; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test -f $$subdir/TAGS && \
	      tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
	  fi; \
	done; \
	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$tags$$unique" \
	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	     $$tags $$unique

ctags: CTAGS
CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)

top_distdir = .
distdir = $(PACKAGE)-$(VERSION)

am__remove_distdir = \
  { test ! -d $(distdir) \
    || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
         && rm -fr $(distdir); }; }

GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print

distdir: $(DISTFILES)
	$(am__remove_distdir)
	mkdir $(distdir)
	$(mkinstalldirs) $(distdir)/.
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkinstalldirs) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test -d $(distdir)/$$subdir \
	    || mkdir $(distdir)/$$subdir \
	    || exit 1; \
	    (cd $$subdir && \
	      $(MAKE) $(AM_MAKEFLAGS) \

=== extras/faad2/common/Makefile ===
# Makefile.in generated by automake 1.7.9 from Makefile.am.
# common/Makefile.  Generated from Makefile.in by configure.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/common
top_srcdir = /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2
VPATH = /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/common
pkgdatadir = $(datadir)/faad2
pkglibdir = $(libdir)/faad2
pkgincludedir = $(includedir)/faad2
top_builddir = ..

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /scratchbox/tools/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = arm-unknown-linux-gnu
ACLOCAL = ${SHELL} /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/missing --run aclocal-1.7
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/missing --run tar
AR = arm-linux-ar
AUTOCONF = ${SHELL} /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/missing --run autoconf
AUTOHEADER = ${SHELL} /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/missing --run autoheader
AUTOMAKE = ${SHELL} /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/missing --run automake-1.7
AWK = gawk
CC = arm-linux-gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = arm-linux-gcc -E
CPPFLAGS = 
CXX = arm-linux-g++
CXXCPP = arm-linux-g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
F77 = arm-linux-g77
FFLAGS = -g -O2
GTK_CONFIG = 
HAVE_MPEG4IP_PLUG_FALSE = 
HAVE_MPEG4IP_PLUG_TRUE = #
HAVE_XMMS_FALSE = 
HAVE_XMMS_TRUE = #
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBTOOL_DEPS = ./ltmain.sh
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/missing --run makeinfo
MP4FF_LIBS = 
OBJEXT = o
PACKAGE = faad2
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
RANLIB = arm-linux-ranlib
RPMBUILD = rpm
SET_MAKE = 
SHELL = /bin/sh
STRIP = arm-linux-strip
VERSION = 2.0
XMMS_CONFIG = 
ac_ct_AR = 
ac_ct_CC = 
ac_ct_CXX = 
ac_ct_F77 = 
ac_ct_RANLIB = 
ac_ct_STRIP = 
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnu
build_alias = arm-linux
build_cpu = arm
build_os = linux-gnu
build_vendor = unknown
datadir = ${prefix}/share
exec_prefix = ${prefix}
external_mp4v2 = no
host = arm-unknown-linux-gnu
host_alias = arm-linux
host_cpu = arm
host_os = linux-gnu
host_vendor = unknown
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
oldincludedir = /usr/include
prefix = /usr/local
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
SUBDIRS = mp4ff
subdir = common
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
DIST_SOURCES =

RECURSIVE_TARGETS = info-recursive dvi-recursive pdf-recursive \
	ps-recursive install-info-recursive uninstall-info-recursive \
	all-recursive install-data-recursive install-exec-recursive \
	installdirs-recursive install-recursive uninstall-recursive \
	check-recursive installcheck-recursive
DIST_COMMON = $(srcdir)/Makefile.in Makefile.am
DIST_SUBDIRS = $(SUBDIRS)
all: all-recursive

.SUFFIXES:
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  common/Makefile
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@set fnord $$MAKEFLAGS; amf=$$2; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

mostlyclean-recursive clean-recursive distclean-recursive \
maintainer-clean-recursive:
	@set fnord $$MAKEFLAGS; amf=$$2; \
	dot_seen=no; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	rev=''; for subdir in $$list; do \
	  if test "$$subdir" = "."; then :; else \
	    rev="$$subdir $$rev"; \
	  fi; \
	done; \
	rev="$$rev ."; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done
ctags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
	done

ETAGS = etags
ETAGSFLAGS =

CTAGS = ctags
CTAGSFLAGS =

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique

TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	if (etags --etags-include --version) >/dev/null 2>&1; then \
	  include_option=--etags-include; \
	else \
	  include_option=--include; \
	fi; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test -f $$subdir/TAGS && \
	      tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
	  fi; \
	done; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$tags$$unique" \
	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	     $$tags $$unique

ctags: CTAGS
CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)

top_distdir = ..
distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkinstalldirs) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test -d $(distdir)/$$subdir \
	    || mkdir $(distdir)/$$subdir \
	    || exit 1; \
	    (cd $$subdir && \
	      $(MAKE) $(AM_MAKEFLAGS) \
	        top_distdir="$(top_distdir)" \
	        distdir=../$(distdir)/$$subdir \
	        distdir) \
	      || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-recursive
all-am: Makefile
installdirs: installdirs-recursive
installdirs-am:

install: install-recursive
install-exec: install-exec-recursive
install-data: install-data-recursive
uninstall: uninstall-recursive

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-recursive
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-recursive

clean-am: clean-generic clean-libtool mostlyclean-am

distclean: distclean-recursive
	-rm -f Makefile
distclean-am: clean-am distclean-generic distclean-libtool \
	distclean-tags

dvi: dvi-recursive

dvi-am:

info: info-recursive

info-am:

install-data-am:

install-exec-am:

install-info: install-info-recursive

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-recursive
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-recursive

mostlyclean-am: mostlyclean-generic mostlyclean-libtool

=== extras/faad2/frontend/Makefile ===
# Makefile.in generated by automake 1.7.9 from Makefile.am.
# frontend/Makefile.  Generated from Makefile.in by configure.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/frontend
top_srcdir = /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2
VPATH = /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/frontend
pkgdatadir = $(datadir)/faad2
pkglibdir = $(libdir)/faad2
pkgincludedir = $(includedir)/faad2
top_builddir = ..

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /scratchbox/tools/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = arm-unknown-linux-gnu
ACLOCAL = ${SHELL} /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/missing --run aclocal-1.7
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/missing --run tar
AR = arm-linux-ar
AUTOCONF = ${SHELL} /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/missing --run autoconf
AUTOHEADER = ${SHELL} /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/missing --run autoheader
AUTOMAKE = ${SHELL} /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/missing --run automake-1.7
AWK = gawk
CC = arm-linux-gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = arm-linux-gcc -E
CPPFLAGS = 
CXX = arm-linux-g++
CXXCPP = arm-linux-g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
F77 = arm-linux-g77
FFLAGS = -g -O2
GTK_CONFIG = 
HAVE_MPEG4IP_PLUG_FALSE = 
HAVE_MPEG4IP_PLUG_TRUE = #
HAVE_XMMS_FALSE = 
HAVE_XMMS_TRUE = #
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBTOOL_DEPS = ./ltmain.sh
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/missing --run makeinfo
MP4FF_LIBS = 
OBJEXT = o
PACKAGE = faad2
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
RANLIB = arm-linux-ranlib
RPMBUILD = rpm
SET_MAKE = 
SHELL = /bin/sh
STRIP = arm-linux-strip
VERSION = 2.0
XMMS_CONFIG = 
ac_ct_AR = 
ac_ct_CC = 
ac_ct_CXX = 
ac_ct_F77 = 
ac_ct_RANLIB = 
ac_ct_STRIP = 
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnu
build_alias = arm-linux
build_cpu = arm
build_os = linux-gnu
build_vendor = unknown
datadir = ${prefix}/share
exec_prefix = ${prefix}
external_mp4v2 = no
host = arm-unknown-linux-gnu
host_alias = arm-linux
host_cpu = arm
host_os = linux-gnu
host_vendor = unknown
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
oldincludedir = /usr/include
prefix = /usr/local
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
bin_PROGRAMS = faad

INCLUDES = -I$(top_srcdir)/include -I$(top_srcdir)/common/faad \
   -I$(top_srcdir)/common/mp4ff


faad_LDADD = $(top_builddir)/libfaad/libfaad.la \
	$(top_builddir)/common/mp4ff/libmp4ff.a


faad_SOURCES = main.c \
	audio.c audio.h \
	$(top_srcdir)/common/faad/getopt.c

subdir = frontend
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
bin_PROGRAMS = faad$(EXEEXT)
PROGRAMS = $(bin_PROGRAMS)

am_faad_OBJECTS = main.$(OBJEXT) audio.$(OBJEXT) getopt.$(OBJEXT)
faad_OBJECTS = $(am_faad_OBJECTS)
faad_DEPENDENCIES = $(top_builddir)/libfaad/libfaad.la \
	$(top_builddir)/common/mp4ff/libmp4ff.a
faad_LDFLAGS =

DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
DEP_FILES = ./$(DEPDIR)/audio.Po ./$(DEPDIR)/getopt.Po \
	./$(DEPDIR)/main.Po
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) \
	$(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
DIST_SOURCES = $(faad_SOURCES)
DIST_COMMON = $(srcdir)/Makefile.in Makefile.am
SOURCES = $(faad_SOURCES)

all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  frontend/Makefile
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)
binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  if test -f $$p \
	     || test -f $$p1 \
	  ; then \
	    f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
	   echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(binPROGRAMS_INSTALL) $$p $(DESTDIR)$(bindir)/$$f"; \
	   $(INSTALL_PROGRAM_ENV) $(LIBTOOL) --mode=install $(binPROGRAMS_INSTALL) $$p $(DESTDIR)$(bindir)/$$f || exit 1; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	@$(NORMAL_UNINSTALL)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
	  echo " rm -f $(DESTDIR)$(bindir)/$$f"; \
	  rm -f $(DESTDIR)$(bindir)/$$f; \
	done

clean-binPROGRAMS:
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  echo " rm -f $$p $$f"; \
	  rm -f $$p $$f ; \
	done
faad$(EXEEXT): $(faad_OBJECTS) $(faad_DEPENDENCIES) 
	@rm -f faad$(EXEEXT)
	$(LINK) $(faad_LDFLAGS) $(faad_OBJECTS) $(faad_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/audio.Po
include ./$(DEPDIR)/getopt.Po
include ./$(DEPDIR)/main.Po

.c.o:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
	fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `test -f '$<' || echo '$(srcdir)/'`$<

.c.obj:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
	  -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
	fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`

.c.lo:
	if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; \
	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
	fi
#	source='$<' object='$@' libtool=yes \
#	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(LTCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<

getopt.o: $(top_srcdir)/common/faad/getopt.c
	if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT getopt.o -MD -MP -MF "$(DEPDIR)/getopt.Tpo" \
	  -c -o getopt.o `test -f '$(top_srcdir)/common/faad/getopt.c' || echo '$(srcdir)/'`$(top_srcdir)/common/faad/getopt.c; \
	then mv -f "$(DEPDIR)/getopt.Tpo" "$(DEPDIR)/getopt.Po"; \
	else rm -f "$(DEPDIR)/getopt.Tpo"; exit 1; \
	fi
#	source='$(top_srcdir)/common/faad/getopt.c' object='getopt.o' libtool=no \
#	depfile='$(DEPDIR)/getopt.Po' tmpdepfile='$(DEPDIR)/getopt.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o getopt.o `test -f '$(top_srcdir)/common/faad/getopt.c' || echo '$(srcdir)/'`$(top_srcdir)/common/faad/getopt.c

getopt.obj: $(top_srcdir)/common/faad/getopt.c
	if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT getopt.obj -MD -MP -MF "$(DEPDIR)/getopt.Tpo" \
	  -c -o getopt.obj `if test -f '$(top_srcdir)/common/faad/getopt.c'; then $(CYGPATH_W) '$(top_srcdir)/common/faad/getopt.c'; else $(CYGPATH_W) '$(srcdir)/$(top_srcdir)/common/faad/getopt.c'; fi`; \
	then mv -f "$(DEPDIR)/getopt.Tpo" "$(DEPDIR)/getopt.Po"; \
	else rm -f "$(DEPDIR)/getopt.Tpo"; exit 1; \
	fi
#	source='$(top_srcdir)/common/faad/getopt.c' object='getopt.obj' libtool=no \
#	depfile='$(DEPDIR)/getopt.Po' tmpdepfile='$(DEPDIR)/getopt.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o getopt.obj `if test -f '$(top_srcdir)/common/faad/getopt.c'; then $(CYGPATH_W) '$(top_srcdir)/common/faad/getopt.c'; else $(CYGPATH_W) '$(srcdir)/$(top_srcdir)/common/faad/getopt.c'; fi`

getopt.lo: $(top_srcdir)/common/faad/getopt.c
	if $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT getopt.lo -MD -MP -MF "$(DEPDIR)/getopt.Tpo" \
	  -c -o getopt.lo `test -f '$(top_srcdir)/common/faad/getopt.c' || echo '$(srcdir)/'`$(top_srcdir)/common/faad/getopt.c; \
	then mv -f "$(DEPDIR)/getopt.Tpo" "$(DEPDIR)/getopt.Plo"; \
	else rm -f "$(DEPDIR)/getopt.Tpo"; exit 1; \
	fi
#	source='$(top_srcdir)/common/faad/getopt.c' object='getopt.lo' libtool=yes \
#	depfile='$(DEPDIR)/getopt.Plo' tmpdepfile='$(DEPDIR)/getopt.TPlo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o getopt.lo `test -f '$(top_srcdir)/common/faad/getopt.c' || echo '$(srcdir)/'`$(top_srcdir)/common/faad/getopt.c

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:

ETAGS = etags
ETAGSFLAGS =

CTAGS = ctags
CTAGSFLAGS =

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$tags$$unique" \

=== extras/faad2/libfaad/Makefile ===
# Makefile.in generated by automake 1.7.9 from Makefile.am.
# libfaad/Makefile.  Generated from Makefile.in by configure.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/libfaad
top_srcdir = /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2
VPATH = /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/libfaad
pkgdatadir = $(datadir)/faad2
pkglibdir = $(libdir)/faad2
pkgincludedir = $(includedir)/faad2
top_builddir = ..

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /scratchbox/tools/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = arm-unknown-linux-gnu
ACLOCAL = ${SHELL} /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/missing --run aclocal-1.7
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/missing --run tar
AR = arm-linux-ar
AUTOCONF = ${SHELL} /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/missing --run autoconf
AUTOHEADER = ${SHELL} /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/missing --run autoheader
AUTOMAKE = ${SHELL} /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/missing --run automake-1.7
AWK = gawk
CC = arm-linux-gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = arm-linux-gcc -E
CPPFLAGS = 
CXX = arm-linux-g++
CXXCPP = arm-linux-g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
F77 = arm-linux-g77
FFLAGS = -g -O2
GTK_CONFIG = 
HAVE_MPEG4IP_PLUG_FALSE = 
HAVE_MPEG4IP_PLUG_TRUE = #
HAVE_XMMS_FALSE = 
HAVE_XMMS_TRUE = #
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBTOOL_DEPS = ./ltmain.sh
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/missing --run makeinfo
MP4FF_LIBS = 
OBJEXT = o
PACKAGE = faad2
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
RANLIB = arm-linux-ranlib
RPMBUILD = rpm
SET_MAKE = 
SHELL = /bin/sh
STRIP = arm-linux-strip
VERSION = 2.0
XMMS_CONFIG = 
ac_ct_AR = 
ac_ct_CC = 
ac_ct_CXX = 
ac_ct_F77 = 
ac_ct_RANLIB = 
ac_ct_STRIP = 
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnu
build_alias = arm-linux
build_cpu = arm
build_os = linux-gnu
build_vendor = unknown
datadir = ${prefix}/share
exec_prefix = ${prefix}
external_mp4v2 = no
host = arm-unknown-linux-gnu
host_alias = arm-linux
host_cpu = arm
host_os = linux-gnu
host_vendor = unknown
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
oldincludedir = /usr/include
prefix = /usr/local
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
lib_LTLIBRARIES = libfaad.la

include_HEADERS = $(top_srcdir)/include/faad.h \
                  $(top_srcdir)/include/neaacdec.h


libfaad_la_LDFLAGS = -lm

libfaad_la_SOURCES = bits.c cfft.c decoder.c drc.c \
drm_dec.c error.c filtbank.c \
ic_predict.c is.c lt_predict.c mdct.c mp4.c ms.c output.c pns.c \
ps_dec.c ps_syntax.c \
pulse.c specrec.c syntax.c tns.c hcr.c huffman.c \
rvlc.c ssr.c ssr_fb.c ssr_ipqf.c common.c \
sbr_dct.c sbr_e_nf.c sbr_fbt.c sbr_hfadj.c sbr_hfgen.c \
sbr_huff.c sbr_qmf.c sbr_syntax.c sbr_tf_grid.c sbr_dec.c \
analysis.h bits.h cfft.h cfft_tab.h common.h \
decoder.h drc.h drm_dec.h error.h fixed.h filtbank.h \
huffman.h ic_predict.h iq_table.h is.h kbd_win.h lt_predict.h \
mdct.h mdct_tab.h mp4.h ms.h output.h pns.h ps_dec.h ps_tables.h \
pulse.h rvlc.h \
sbr_dct.h sbr_dec.h sbr_e_nf.h sbr_fbt.h sbr_hfadj.h sbr_hfgen.h \
sbr_huff.h sbr_noise.h sbr_qmf.h sbr_syntax.h sbr_tf_grid.h \
sine_win.h specrec.h ssr.h ssr_fb.h ssr_ipqf.h \
ssr_win.h syntax.h structs.h tns.h \
sbr_qmf_c.h codebook/hcb.h \
codebook/hcb_1.h codebook/hcb_2.h codebook/hcb_3.h codebook/hcb_4.h \
codebook/hcb_5.h codebook/hcb_6.h codebook/hcb_7.h codebook/hcb_8.h \
codebook/hcb_9.h codebook/hcb_10.h codebook/hcb_11.h codebook/hcb_sf.h

subdir = libfaad
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
LTLIBRARIES = $(lib_LTLIBRARIES)

libfaad_la_LIBADD =
am_libfaad_la_OBJECTS = bits.lo cfft.lo decoder.lo drc.lo drm_dec.lo \
	error.lo filtbank.lo ic_predict.lo is.lo lt_predict.lo mdct.lo \
	mp4.lo ms.lo output.lo pns.lo ps_dec.lo ps_syntax.lo pulse.lo \
	specrec.lo syntax.lo tns.lo hcr.lo huffman.lo rvlc.lo ssr.lo \
	ssr_fb.lo ssr_ipqf.lo common.lo sbr_dct.lo sbr_e_nf.lo \
	sbr_fbt.lo sbr_hfadj.lo sbr_hfgen.lo sbr_huff.lo sbr_qmf.lo \
	sbr_syntax.lo sbr_tf_grid.lo sbr_dec.lo
libfaad_la_OBJECTS = $(am_libfaad_la_OBJECTS)

DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
DEP_FILES = ./$(DEPDIR)/bits.Plo ./$(DEPDIR)/cfft.Plo \
	./$(DEPDIR)/common.Plo ./$(DEPDIR)/decoder.Plo \
	./$(DEPDIR)/drc.Plo ./$(DEPDIR)/drm_dec.Plo \
	./$(DEPDIR)/error.Plo ./$(DEPDIR)/filtbank.Plo \
	./$(DEPDIR)/hcr.Plo ./$(DEPDIR)/huffman.Plo \
	./$(DEPDIR)/ic_predict.Plo ./$(DEPDIR)/is.Plo \
	./$(DEPDIR)/lt_predict.Plo ./$(DEPDIR)/mdct.Plo \
	./$(DEPDIR)/mp4.Plo ./$(DEPDIR)/ms.Plo \
	./$(DEPDIR)/output.Plo ./$(DEPDIR)/pns.Plo \
	./$(DEPDIR)/ps_dec.Plo ./$(DEPDIR)/ps_syntax.Plo \
	./$(DEPDIR)/pulse.Plo ./$(DEPDIR)/rvlc.Plo \
	./$(DEPDIR)/sbr_dct.Plo ./$(DEPDIR)/sbr_dec.Plo \
	./$(DEPDIR)/sbr_e_nf.Plo ./$(DEPDIR)/sbr_fbt.Plo \
	./$(DEPDIR)/sbr_hfadj.Plo ./$(DEPDIR)/sbr_hfgen.Plo \
	./$(DEPDIR)/sbr_huff.Plo ./$(DEPDIR)/sbr_qmf.Plo \
	./$(DEPDIR)/sbr_syntax.Plo \
	./$(DEPDIR)/sbr_tf_grid.Plo ./$(DEPDIR)/specrec.Plo \
	./$(DEPDIR)/ssr.Plo ./$(DEPDIR)/ssr_fb.Plo \
	./$(DEPDIR)/ssr_ipqf.Plo ./$(DEPDIR)/syntax.Plo \
	./$(DEPDIR)/tns.Plo
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) \
	$(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
DIST_SOURCES = $(libfaad_la_SOURCES)
HEADERS = $(include_HEADERS)

DIST_COMMON = $(include_HEADERS) $(srcdir)/Makefile.in Makefile.am
SOURCES = $(libfaad_la_SOURCES)

all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  libfaad/Makefile
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)
libLTLIBRARIES_INSTALL = $(INSTALL)
install-libLTLIBRARIES: $(lib_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(libdir)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    f="`echo $$p | sed -e 's|^.*/||'`"; \
	    echo " $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(libdir)/$$f"; \
	    $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(libdir)/$$f; \
	  else :; fi; \
	done

uninstall-libLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	    p="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(LIBTOOL) --mode=uninstall rm -f $(DESTDIR)$(libdir)/$$p"; \
	  $(LIBTOOL) --mode=uninstall rm -f $(DESTDIR)$(libdir)/$$p; \
	done

clean-libLTLIBRARIES:
	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" = "$$p" && dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
libfaad.la: $(libfaad_la_OBJECTS) $(libfaad_la_DEPENDENCIES) 
	$(LINK) -rpath $(libdir) $(libfaad_la_LDFLAGS) $(libfaad_la_OBJECTS) $(libfaad_la_LIBADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/bits.Plo
include ./$(DEPDIR)/cfft.Plo
include ./$(DEPDIR)/common.Plo
include ./$(DEPDIR)/decoder.Plo
include ./$(DEPDIR)/drc.Plo
include ./$(DEPDIR)/drm_dec.Plo
include ./$(DEPDIR)/error.Plo
include ./$(DEPDIR)/filtbank.Plo
include ./$(DEPDIR)/hcr.Plo
include ./$(DEPDIR)/huffman.Plo
include ./$(DEPDIR)/ic_predict.Plo
include ./$(DEPDIR)/is.Plo
include ./$(DEPDIR)/lt_predict.Plo
include ./$(DEPDIR)/mdct.Plo
include ./$(DEPDIR)/mp4.Plo
include ./$(DEPDIR)/ms.Plo
include ./$(DEPDIR)/output.Plo
include ./$(DEPDIR)/pns.Plo
include ./$(DEPDIR)/ps_dec.Plo
include ./$(DEPDIR)/ps_syntax.Plo
include ./$(DEPDIR)/pulse.Plo
include ./$(DEPDIR)/rvlc.Plo
include ./$(DEPDIR)/sbr_dct.Plo
include ./$(DEPDIR)/sbr_dec.Plo
include ./$(DEPDIR)/sbr_e_nf.Plo
include ./$(DEPDIR)/sbr_fbt.Plo
include ./$(DEPDIR)/sbr_hfadj.Plo
include ./$(DEPDIR)/sbr_hfgen.Plo
include ./$(DEPDIR)/sbr_huff.Plo
include ./$(DEPDIR)/sbr_qmf.Plo
include ./$(DEPDIR)/sbr_syntax.Plo
include ./$(DEPDIR)/sbr_tf_grid.Plo
include ./$(DEPDIR)/specrec.Plo
include ./$(DEPDIR)/ssr.Plo
include ./$(DEPDIR)/ssr_fb.Plo
include ./$(DEPDIR)/ssr_ipqf.Plo
include ./$(DEPDIR)/syntax.Plo
include ./$(DEPDIR)/tns.Plo

.c.o:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
	fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `test -f '$<' || echo '$(srcdir)/'`$<

.c.obj:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
	  -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
	fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`

.c.lo:
	if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; \
	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
	fi
#	source='$<' object='$@' libtool=yes \
#	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(LTCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:
includeHEADERS_INSTALL = $(INSTALL_HEADER)
install-includeHEADERS: $(include_HEADERS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(includedir)

=== extras/faad2/plugins/Makefile ===
# Makefile.in generated by automake 1.7.9 from Makefile.am.
# plugins/Makefile.  Generated from Makefile.in by configure.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/plugins
top_srcdir = /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2
VPATH = /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/plugins
pkgdatadir = $(datadir)/faad2
pkglibdir = $(libdir)/faad2
pkgincludedir = $(includedir)/faad2
top_builddir = ..

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /scratchbox/tools/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = arm-unknown-linux-gnu
ACLOCAL = ${SHELL} /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/missing --run aclocal-1.7
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/missing --run tar
AR = arm-linux-ar
AUTOCONF = ${SHELL} /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/missing --run autoconf
AUTOHEADER = ${SHELL} /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/missing --run autoheader
AUTOMAKE = ${SHELL} /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/missing --run automake-1.7
AWK = gawk
CC = arm-linux-gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = arm-linux-gcc -E
CPPFLAGS = 
CXX = arm-linux-g++
CXXCPP = arm-linux-g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
F77 = arm-linux-g77
FFLAGS = -g -O2
GTK_CONFIG = 
HAVE_MPEG4IP_PLUG_FALSE = 
HAVE_MPEG4IP_PLUG_TRUE = #
HAVE_XMMS_FALSE = 
HAVE_XMMS_TRUE = #
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBTOOL_DEPS = ./ltmain.sh
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/missing --run makeinfo
MP4FF_LIBS = 
OBJEXT = o
PACKAGE = faad2
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
RANLIB = arm-linux-ranlib
RPMBUILD = rpm
SET_MAKE = 
SHELL = /bin/sh
STRIP = arm-linux-strip
VERSION = 2.0
XMMS_CONFIG = 
ac_ct_AR = 
ac_ct_CC = 
ac_ct_CXX = 
ac_ct_F77 = 
ac_ct_RANLIB = 
ac_ct_STRIP = 
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnu
build_alias = arm-linux
build_cpu = arm
build_os = linux-gnu
build_vendor = unknown
datadir = ${prefix}/share
exec_prefix = ${prefix}
external_mp4v2 = no
host = arm-unknown-linux-gnu
host_alias = arm-linux
host_cpu = arm
host_os = linux-gnu
host_vendor = unknown
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
oldincludedir = /usr/include
prefix = /usr/local
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
SUBDIRS = 
#SUBDIRS = mpeg4ip
#SUBDIRS = xmms
##SUBDIRS = xmms mpeg4ip
subdir = plugins
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
DIST_SOURCES =

RECURSIVE_TARGETS = info-recursive dvi-recursive pdf-recursive \
	ps-recursive install-info-recursive uninstall-info-recursive \
	all-recursive install-data-recursive install-exec-recursive \
	installdirs-recursive install-recursive uninstall-recursive \
	check-recursive installcheck-recursive
DIST_COMMON = $(srcdir)/Makefile.in Makefile.am
DIST_SUBDIRS = mpeg4ip xmms
all: all-recursive

.SUFFIXES:
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  plugins/Makefile
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@set fnord $$MAKEFLAGS; amf=$$2; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

mostlyclean-recursive clean-recursive distclean-recursive \
maintainer-clean-recursive:
	@set fnord $$MAKEFLAGS; amf=$$2; \
	dot_seen=no; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	rev=''; for subdir in $$list; do \
	  if test "$$subdir" = "."; then :; else \
	    rev="$$subdir $$rev"; \
	  fi; \
	done; \
	rev="$$rev ."; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done
ctags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
	done

ETAGS = etags
ETAGSFLAGS =

CTAGS = ctags
CTAGSFLAGS =

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique

TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	if (etags --etags-include --version) >/dev/null 2>&1; then \
	  include_option=--etags-include; \
	else \
	  include_option=--include; \
	fi; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test -f $$subdir/TAGS && \
	      tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
	  fi; \
	done; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$tags$$unique" \
	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	     $$tags $$unique

ctags: CTAGS
CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)

top_distdir = ..
distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkinstalldirs) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
	list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test -d $(distdir)/$$subdir \
	    || mkdir $(distdir)/$$subdir \
	    || exit 1; \
	    (cd $$subdir && \
	      $(MAKE) $(AM_MAKEFLAGS) \
	        top_distdir="$(top_distdir)" \
	        distdir=../$(distdir)/$$subdir \
	        distdir) \
	      || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-recursive
all-am: Makefile
installdirs: installdirs-recursive
installdirs-am:

install: install-recursive
install-exec: install-exec-recursive
install-data: install-data-recursive
uninstall: uninstall-recursive

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-recursive
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-recursive

clean-am: clean-generic clean-libtool mostlyclean-am

distclean: distclean-recursive
	-rm -f Makefile
distclean-am: clean-am distclean-generic distclean-libtool \
	distclean-tags

dvi: dvi-recursive

dvi-am:

info: info-recursive

info-am:

install-data-am:

install-exec-am:

install-info: install-info-recursive

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-recursive
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-recursive

=== modules/gui/peekaboo/Makefile ===
#Peekaboo makefile for compiling




CC      = gcc
CFLAGS  =`pkg-config --cflags --libs gconf-2.0 hildon-libs hildon-fm gtk+-2.0 libosso gdk-2.0`
EXE = peekaboo
OBS = peekaboo_ui.o



#peekaboo: peekaboo_ui.o

#$(EXE): $(CC) $(OBJS) -o $(EXE)

peekaboo: peekaboo_ui.c
	  $(CC) $(CFLAGS) peekaboo_ui.c -o $(EXE)

=== extras/faad2/common/mp4ff/Makefile ===
# Makefile.in generated by automake 1.7.9 from Makefile.am.
# common/mp4ff/Makefile.  Generated from Makefile.in by configure.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/common/mp4ff
top_srcdir = /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2
VPATH = /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/common/mp4ff
pkgdatadir = $(datadir)/faad2
pkglibdir = $(libdir)/faad2
pkgincludedir = $(includedir)/faad2
top_builddir = ../..

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /scratchbox/tools/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = arm-unknown-linux-gnu
ACLOCAL = ${SHELL} /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/missing --run aclocal-1.7
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/missing --run tar
AR = arm-linux-ar
AUTOCONF = ${SHELL} /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/missing --run autoconf
AUTOHEADER = ${SHELL} /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/missing --run autoheader
AUTOMAKE = ${SHELL} /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/missing --run automake-1.7
AWK = gawk
CC = arm-linux-gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = arm-linux-gcc -E
CPPFLAGS = 
CXX = arm-linux-g++
CXXCPP = arm-linux-g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
F77 = arm-linux-g77
FFLAGS = -g -O2
GTK_CONFIG = 
HAVE_MPEG4IP_PLUG_FALSE = 
HAVE_MPEG4IP_PLUG_TRUE = #
HAVE_XMMS_FALSE = 
HAVE_XMMS_TRUE = #
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBTOOL_DEPS = ./ltmain.sh
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/missing --run makeinfo
MP4FF_LIBS = 
OBJEXT = o
PACKAGE = faad2
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
RANLIB = arm-linux-ranlib
RPMBUILD = rpm
SET_MAKE = 
SHELL = /bin/sh
STRIP = arm-linux-strip
VERSION = 2.0
XMMS_CONFIG = 
ac_ct_AR = 
ac_ct_CC = 
ac_ct_CXX = 
ac_ct_F77 = 
ac_ct_RANLIB = 
ac_ct_STRIP = 
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnu
build_alias = arm-linux
build_cpu = arm
build_os = linux-gnu
build_vendor = unknown
datadir = ${prefix}/share
exec_prefix = ${prefix}
external_mp4v2 = no
host = arm-unknown-linux-gnu
host_alias = arm-linux
host_cpu = arm
host_os = linux-gnu
host_vendor = unknown
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
oldincludedir = /usr/include
prefix = /usr/local
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
noinst_LIBRARIES = libmp4ff.a

libmp4ff_a_CFLAGS = -DUSE_TAGGING=1

libmp4ff_a_SOURCES = mp4ff.c mp4atom.c mp4meta.c mp4sample.c mp4util.c \
   mp4tagupdate.c mp4ff.h mp4ffint.h mp4ff_int_types.h \
   drms.h drms.c drmstables.h

subdir = common/mp4ff
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
LIBRARIES = $(noinst_LIBRARIES)

libmp4ff_a_AR = $(AR) cru
libmp4ff_a_LIBADD =
am_libmp4ff_a_OBJECTS = libmp4ff_a-mp4ff.$(OBJEXT) \
	libmp4ff_a-mp4atom.$(OBJEXT) libmp4ff_a-mp4meta.$(OBJEXT) \
	libmp4ff_a-mp4sample.$(OBJEXT) libmp4ff_a-mp4util.$(OBJEXT) \
	libmp4ff_a-mp4tagupdate.$(OBJEXT) libmp4ff_a-drms.$(OBJEXT)
libmp4ff_a_OBJECTS = $(am_libmp4ff_a_OBJECTS)

DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
DEP_FILES = ./$(DEPDIR)/libmp4ff_a-drms.Po \
	./$(DEPDIR)/libmp4ff_a-mp4atom.Po \
	./$(DEPDIR)/libmp4ff_a-mp4ff.Po \
	./$(DEPDIR)/libmp4ff_a-mp4meta.Po \
	./$(DEPDIR)/libmp4ff_a-mp4sample.Po \
	./$(DEPDIR)/libmp4ff_a-mp4tagupdate.Po \
	./$(DEPDIR)/libmp4ff_a-mp4util.Po
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) \
	$(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
DIST_SOURCES = $(libmp4ff_a_SOURCES)
DIST_COMMON = $(srcdir)/Makefile.in Makefile.am
SOURCES = $(libmp4ff_a_SOURCES)

all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  common/mp4ff/Makefile
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)

clean-noinstLIBRARIES:
	-test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)
libmp4ff.a: $(libmp4ff_a_OBJECTS) $(libmp4ff_a_DEPENDENCIES) 
	-rm -f libmp4ff.a
	$(libmp4ff_a_AR) libmp4ff.a $(libmp4ff_a_OBJECTS) $(libmp4ff_a_LIBADD)
	$(RANLIB) libmp4ff.a

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/libmp4ff_a-drms.Po
include ./$(DEPDIR)/libmp4ff_a-mp4atom.Po
include ./$(DEPDIR)/libmp4ff_a-mp4ff.Po
include ./$(DEPDIR)/libmp4ff_a-mp4meta.Po
include ./$(DEPDIR)/libmp4ff_a-mp4sample.Po
include ./$(DEPDIR)/libmp4ff_a-mp4tagupdate.Po
include ./$(DEPDIR)/libmp4ff_a-mp4util.Po

.c.o:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
	fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `test -f '$<' || echo '$(srcdir)/'`$<

.c.obj:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
	  -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
	fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`

.c.lo:
	if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; \
	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
	fi
#	source='$<' object='$@' libtool=yes \
#	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(LTCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<

libmp4ff_a-mp4ff.o: mp4ff.c
	if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libmp4ff_a_CFLAGS) $(CFLAGS) -MT libmp4ff_a-mp4ff.o -MD -MP -MF "$(DEPDIR)/libmp4ff_a-mp4ff.Tpo" \
	  -c -o libmp4ff_a-mp4ff.o `test -f 'mp4ff.c' || echo '$(srcdir)/'`mp4ff.c; \
	then mv -f "$(DEPDIR)/libmp4ff_a-mp4ff.Tpo" "$(DEPDIR)/libmp4ff_a-mp4ff.Po"; \
	else rm -f "$(DEPDIR)/libmp4ff_a-mp4ff.Tpo"; exit 1; \
	fi
#	source='mp4ff.c' object='libmp4ff_a-mp4ff.o' libtool=no \
#	depfile='$(DEPDIR)/libmp4ff_a-mp4ff.Po' tmpdepfile='$(DEPDIR)/libmp4ff_a-mp4ff.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libmp4ff_a_CFLAGS) $(CFLAGS) -c -o libmp4ff_a-mp4ff.o `test -f 'mp4ff.c' || echo '$(srcdir)/'`mp4ff.c

libmp4ff_a-mp4ff.obj: mp4ff.c
	if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libmp4ff_a_CFLAGS) $(CFLAGS) -MT libmp4ff_a-mp4ff.obj -MD -MP -MF "$(DEPDIR)/libmp4ff_a-mp4ff.Tpo" \
	  -c -o libmp4ff_a-mp4ff.obj `if test -f 'mp4ff.c'; then $(CYGPATH_W) 'mp4ff.c'; else $(CYGPATH_W) '$(srcdir)/mp4ff.c'; fi`; \
	then mv -f "$(DEPDIR)/libmp4ff_a-mp4ff.Tpo" "$(DEPDIR)/libmp4ff_a-mp4ff.Po"; \
	else rm -f "$(DEPDIR)/libmp4ff_a-mp4ff.Tpo"; exit 1; \
	fi
#	source='mp4ff.c' object='libmp4ff_a-mp4ff.obj' libtool=no \
#	depfile='$(DEPDIR)/libmp4ff_a-mp4ff.Po' tmpdepfile='$(DEPDIR)/libmp4ff_a-mp4ff.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libmp4ff_a_CFLAGS) $(CFLAGS) -c -o libmp4ff_a-mp4ff.obj `if test -f 'mp4ff.c'; then $(CYGPATH_W) 'mp4ff.c'; else $(CYGPATH_W) '$(srcdir)/mp4ff.c'; fi`

libmp4ff_a-mp4ff.lo: mp4ff.c
	if $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libmp4ff_a_CFLAGS) $(CFLAGS) -MT libmp4ff_a-mp4ff.lo -MD -MP -MF "$(DEPDIR)/libmp4ff_a-mp4ff.Tpo" \
	  -c -o libmp4ff_a-mp4ff.lo `test -f 'mp4ff.c' || echo '$(srcdir)/'`mp4ff.c; \
	then mv -f "$(DEPDIR)/libmp4ff_a-mp4ff.Tpo" "$(DEPDIR)/libmp4ff_a-mp4ff.Plo"; \
	else rm -f "$(DEPDIR)/libmp4ff_a-mp4ff.Tpo"; exit 1; \
	fi
#	source='mp4ff.c' object='libmp4ff_a-mp4ff.lo' libtool=yes \
#	depfile='$(DEPDIR)/libmp4ff_a-mp4ff.Plo' tmpdepfile='$(DEPDIR)/libmp4ff_a-mp4ff.TPlo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libmp4ff_a_CFLAGS) $(CFLAGS) -c -o libmp4ff_a-mp4ff.lo `test -f 'mp4ff.c' || echo '$(srcdir)/'`mp4ff.c

libmp4ff_a-mp4atom.o: mp4atom.c
	if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libmp4ff_a_CFLAGS) $(CFLAGS) -MT libmp4ff_a-mp4atom.o -MD -MP -MF "$(DEPDIR)/libmp4ff_a-mp4atom.Tpo" \
	  -c -o libmp4ff_a-mp4atom.o `test -f 'mp4atom.c' || echo '$(srcdir)/'`mp4atom.c; \
	then mv -f "$(DEPDIR)/libmp4ff_a-mp4atom.Tpo" "$(DEPDIR)/libmp4ff_a-mp4atom.Po"; \
	else rm -f "$(DEPDIR)/libmp4ff_a-mp4atom.Tpo"; exit 1; \
	fi
#	source='mp4atom.c' object='libmp4ff_a-mp4atom.o' libtool=no \
#	depfile='$(DEPDIR)/libmp4ff_a-mp4atom.Po' tmpdepfile='$(DEPDIR)/libmp4ff_a-mp4atom.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libmp4ff_a_CFLAGS) $(CFLAGS) -c -o libmp4ff_a-mp4atom.o `test -f 'mp4atom.c' || echo '$(srcdir)/'`mp4atom.c

libmp4ff_a-mp4atom.obj: mp4atom.c
	if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libmp4ff_a_CFLAGS) $(CFLAGS) -MT libmp4ff_a-mp4atom.obj -MD -MP -MF "$(DEPDIR)/libmp4ff_a-mp4atom.Tpo" \
	  -c -o libmp4ff_a-mp4atom.obj `if test -f 'mp4atom.c'; then $(CYGPATH_W) 'mp4atom.c'; else $(CYGPATH_W) '$(srcdir)/mp4atom.c'; fi`; \
	then mv -f "$(DEPDIR)/libmp4ff_a-mp4atom.Tpo" "$(DEPDIR)/libmp4ff_a-mp4atom.Po"; \
	else rm -f "$(DEPDIR)/libmp4ff_a-mp4atom.Tpo"; exit 1; \
	fi
#	source='mp4atom.c' object='libmp4ff_a-mp4atom.obj' libtool=no \
#	depfile='$(DEPDIR)/libmp4ff_a-mp4atom.Po' tmpdepfile='$(DEPDIR)/libmp4ff_a-mp4atom.TPo' \
#	$(CCDEPMODE) $(depcomp) \

=== extras/faad2/plugins/mpeg4ip/Makefile ===
# Makefile.in generated by automake 1.7.9 from Makefile.am.
# plugins/mpeg4ip/Makefile.  Generated from Makefile.in by configure.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/plugins/mpeg4ip
top_srcdir = /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2
VPATH = /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/plugins/mpeg4ip
pkgdatadir = $(datadir)/faad2
pkglibdir = $(libdir)/faad2
pkgincludedir = $(includedir)/faad2
top_builddir = ../..

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /scratchbox/tools/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = arm-unknown-linux-gnu
ACLOCAL = ${SHELL} /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/missing --run aclocal-1.7
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/missing --run tar
AR = arm-linux-ar
AUTOCONF = ${SHELL} /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/missing --run autoconf
AUTOHEADER = ${SHELL} /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/missing --run autoheader
AUTOMAKE = ${SHELL} /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/missing --run automake-1.7
AWK = gawk
CC = arm-linux-gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = arm-linux-gcc -E
CPPFLAGS = 
CXX = arm-linux-g++
CXXCPP = arm-linux-g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
F77 = arm-linux-g77
FFLAGS = -g -O2
GTK_CONFIG = 
HAVE_MPEG4IP_PLUG_FALSE = 
HAVE_MPEG4IP_PLUG_TRUE = #
HAVE_XMMS_FALSE = 
HAVE_XMMS_TRUE = #
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBTOOL_DEPS = ./ltmain.sh
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/missing --run makeinfo
MP4FF_LIBS = 
OBJEXT = o
PACKAGE = faad2
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
RANLIB = arm-linux-ranlib
RPMBUILD = rpm
SET_MAKE = 
SHELL = /bin/sh
STRIP = arm-linux-strip
VERSION = 2.0
XMMS_CONFIG = 
ac_ct_AR = 
ac_ct_CC = 
ac_ct_CXX = 
ac_ct_F77 = 
ac_ct_RANLIB = 
ac_ct_STRIP = 
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnu
build_alias = arm-linux
build_cpu = arm
build_os = linux-gnu
build_vendor = unknown
datadir = ${prefix}/share
exec_prefix = ${prefix}
external_mp4v2 = no
host = arm-unknown-linux-gnu
host_alias = arm-linux
host_cpu = arm
host_os = linux-gnu
host_vendor = unknown
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/install-sh
libdir = @MPEG4IP_PLAYER_PLUGIN_DIR@
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
oldincludedir = /usr/include
prefix = /usr/local
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 

lib_LTLIBRARIES = faad2_plugin.la
faad2_plugin_la_LDFLAGS = -module
faad2_plugin_la_SOURCES = \
	faad2.cpp \
	faad2.h \
	aa_file.cpp \
	aa_file.h


faad2_plugin_la_LIBADD = \
	$(top_builddir)/libfaad/libfaad.la \
	-lm


INCLUDES = -I$(top_srcdir)/include

AM_CFLAGS = -D_REENTRANT -fexceptions 

AM_CXXFLAGS = -D_REENTRANT -DNOCONTROLS -fexceptions 
subdir = plugins/mpeg4ip
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
LTLIBRARIES = $(lib_LTLIBRARIES)

faad2_plugin_la_DEPENDENCIES = $(top_builddir)/libfaad/libfaad.la
am_faad2_plugin_la_OBJECTS = faad2.lo aa_file.lo
faad2_plugin_la_OBJECTS = $(am_faad2_plugin_la_OBJECTS)

DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
DEP_FILES = ./$(DEPDIR)/aa_file.Plo ./$(DEPDIR)/faad2.Plo
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) --mode=compile $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) \
	$(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
DIST_SOURCES = $(faad2_plugin_la_SOURCES)
DIST_COMMON = $(srcdir)/Makefile.in Makefile.am
SOURCES = $(faad2_plugin_la_SOURCES)

all: all-am

.SUFFIXES:
.SUFFIXES: .cpp .lo .o .obj
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  plugins/mpeg4ip/Makefile
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)
libLTLIBRARIES_INSTALL = $(INSTALL)
install-libLTLIBRARIES: $(lib_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(libdir)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    f="`echo $$p | sed -e 's|^.*/||'`"; \
	    echo " $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(libdir)/$$f"; \
	    $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(libdir)/$$f; \
	  else :; fi; \
	done

uninstall-libLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	    p="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(LIBTOOL) --mode=uninstall rm -f $(DESTDIR)$(libdir)/$$p"; \
	  $(LIBTOOL) --mode=uninstall rm -f $(DESTDIR)$(libdir)/$$p; \
	done

clean-libLTLIBRARIES:
	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" = "$$p" && dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
faad2_plugin.la: $(faad2_plugin_la_OBJECTS) $(faad2_plugin_la_DEPENDENCIES) 
	$(CXXLINK) -rpath $(libdir) $(faad2_plugin_la_LDFLAGS) $(faad2_plugin_la_OBJECTS) $(faad2_plugin_la_LIBADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/aa_file.Plo
include ./$(DEPDIR)/faad2.Plo

.cpp.o:
	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
	fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CXXDEPMODE) $(depcomp) \
#	$(CXXCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<

.cpp.obj:
	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
	  -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
	fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CXXDEPMODE) $(depcomp) \
#	$(CXXCOMPILE) -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`

.cpp.lo:
	if $(LTCXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; \
	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
	fi
#	source='$<' object='$@' libtool=yes \
#	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' \
#	$(CXXDEPMODE) $(depcomp) \
#	$(LTCXXCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:

ETAGS = etags
ETAGSFLAGS =

CTAGS = ctags
CTAGSFLAGS =

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$tags$$unique" \
	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	     $$tags $$unique

ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)

top_distdir = ../..
distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkinstalldirs) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(LTLIBRARIES)

installdirs:
	$(mkinstalldirs) $(DESTDIR)$(libdir)
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am

=== extras/faad2/plugins/xmms/Makefile ===
# Makefile.in generated by automake 1.7.9 from Makefile.am.
# plugins/xmms/Makefile.  Generated from Makefile.in by configure.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/plugins/xmms
top_srcdir = /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2
VPATH = /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/plugins/xmms
pkgdatadir = $(datadir)/faad2
pkglibdir = $(libdir)/faad2
pkgincludedir = $(includedir)/faad2
top_builddir = ../..

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /scratchbox/tools/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = arm-unknown-linux-gnu
ACLOCAL = ${SHELL} /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/missing --run aclocal-1.7
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/missing --run tar
AR = arm-linux-ar
AUTOCONF = ${SHELL} /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/missing --run autoconf
AUTOHEADER = ${SHELL} /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/missing --run autoheader
AUTOMAKE = ${SHELL} /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/missing --run automake-1.7
AWK = gawk
CC = arm-linux-gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = arm-linux-gcc -E
CPPFLAGS = 
CXX = arm-linux-g++
CXXCPP = arm-linux-g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
F77 = arm-linux-g77
FFLAGS = -g -O2
GTK_CONFIG = 
HAVE_MPEG4IP_PLUG_FALSE = 
HAVE_MPEG4IP_PLUG_TRUE = #
HAVE_XMMS_FALSE = 
HAVE_XMMS_TRUE = #
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBTOOL_DEPS = ./ltmain.sh
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/missing --run makeinfo
MP4FF_LIBS = 
OBJEXT = o
PACKAGE = faad2
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
RANLIB = arm-linux-ranlib
RPMBUILD = rpm
SET_MAKE = 
SHELL = /bin/sh
STRIP = arm-linux-strip
VERSION = 2.0
XMMS_CONFIG = 
ac_ct_AR = 
ac_ct_CC = 
ac_ct_CXX = 
ac_ct_F77 = 
ac_ct_RANLIB = 
ac_ct_STRIP = 
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnu
build_alias = arm-linux
build_cpu = arm
build_os = linux-gnu
build_vendor = unknown
datadir = ${prefix}/share
exec_prefix = ${prefix}
external_mp4v2 = no
host = arm-unknown-linux-gnu
host_alias = arm-linux
host_cpu = arm
host_os = linux-gnu
host_vendor = unknown
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
oldincludedir = /usr/include
prefix = /usr/local
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
SUBDIRS = src
subdir = plugins/xmms
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
DIST_SOURCES =

RECURSIVE_TARGETS = info-recursive dvi-recursive pdf-recursive \
	ps-recursive install-info-recursive uninstall-info-recursive \
	all-recursive install-data-recursive install-exec-recursive \
	installdirs-recursive install-recursive uninstall-recursive \
	check-recursive installcheck-recursive
DIST_COMMON = README $(srcdir)/Makefile.in AUTHORS ChangeLog INSTALL \
	Makefile.am NEWS TODO
DIST_SUBDIRS = $(SUBDIRS)
all: all-recursive

.SUFFIXES:
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  plugins/xmms/Makefile
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@set fnord $$MAKEFLAGS; amf=$$2; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

mostlyclean-recursive clean-recursive distclean-recursive \
maintainer-clean-recursive:
	@set fnord $$MAKEFLAGS; amf=$$2; \
	dot_seen=no; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	rev=''; for subdir in $$list; do \
	  if test "$$subdir" = "."; then :; else \
	    rev="$$subdir $$rev"; \
	  fi; \
	done; \
	rev="$$rev ."; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	   || case "$$amf" in *=*) exit 1;; *k*) fail=yes;; *) exit 1;; esac; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done
ctags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
	done

ETAGS = etags
ETAGSFLAGS =

CTAGS = ctags
CTAGSFLAGS =

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique

TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	if (etags --etags-include --version) >/dev/null 2>&1; then \
	  include_option=--etags-include; \
	else \
	  include_option=--include; \
	fi; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test -f $$subdir/TAGS && \
	      tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
	  fi; \
	done; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$tags$$unique" \
	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	     $$tags $$unique

ctags: CTAGS
CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)

top_distdir = ../..
distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkinstalldirs) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test -d $(distdir)/$$subdir \
	    || mkdir $(distdir)/$$subdir \
	    || exit 1; \
	    (cd $$subdir && \
	      $(MAKE) $(AM_MAKEFLAGS) \
	        top_distdir="$(top_distdir)" \
	        distdir=../$(distdir)/$$subdir \
	        distdir) \
	      || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-recursive
all-am: Makefile
installdirs: installdirs-recursive
installdirs-am:

install: install-recursive
install-exec: install-exec-recursive
install-data: install-data-recursive
uninstall: uninstall-recursive

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-recursive
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-recursive

clean-am: clean-generic clean-libtool mostlyclean-am

distclean: distclean-recursive
	-rm -f Makefile
distclean-am: clean-am distclean-generic distclean-libtool \
	distclean-tags

dvi: dvi-recursive

dvi-am:

info: info-recursive

info-am:

install-data-am:

install-exec-am:

install-info: install-info-recursive

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-recursive
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

=== extras/faad2/plugins/xmms/src/Makefile ===
# Makefile.in generated by automake 1.7.9 from Makefile.am.
# plugins/xmms/src/Makefile.  Generated from Makefile.in by configure.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



srcdir = /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/plugins/xmms/src
top_srcdir = /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2
VPATH = /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/plugins/xmms/src
pkgdatadir = $(datadir)/faad2
pkglibdir = $(libdir)/faad2
pkgincludedir = $(includedir)/faad2
top_builddir = ../../..

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /scratchbox/tools/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = arm-unknown-linux-gnu
ACLOCAL = ${SHELL} /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/missing --run aclocal-1.7
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/missing --run tar
AR = arm-linux-ar
AUTOCONF = ${SHELL} /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/missing --run autoconf
AUTOHEADER = ${SHELL} /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/missing --run autoheader
AUTOMAKE = ${SHELL} /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/missing --run automake-1.7
AWK = gawk
CC = arm-linux-gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = arm-linux-gcc -E
CPPFLAGS = 
CXX = arm-linux-g++
CXXCPP = arm-linux-g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
F77 = arm-linux-g77
FFLAGS = -g -O2
GTK_CONFIG = 
HAVE_MPEG4IP_PLUG_FALSE = 
HAVE_MPEG4IP_PLUG_TRUE = #
HAVE_XMMS_FALSE = 
HAVE_XMMS_TRUE = #
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBTOOL_DEPS = ./ltmain.sh
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/missing --run makeinfo
MP4FF_LIBS = 
OBJEXT = o
PACKAGE = faad2
PACKAGE_BUGREPORT = 
PACKAGE_NAME = 
PACKAGE_STRING = 
PACKAGE_TARNAME = 
PACKAGE_VERSION = 
PATH_SEPARATOR = :
RANLIB = arm-linux-ranlib
RPMBUILD = rpm
SET_MAKE = 
SHELL = /bin/sh
STRIP = arm-linux-strip
VERSION = 2.0
XMMS_CONFIG = 
ac_ct_AR = 
ac_ct_CC = 
ac_ct_CXX = 
ac_ct_F77 = 
ac_ct_RANLIB = 
ac_ct_STRIP = 
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = arm-unknown-linux-gnu
build_alias = arm-linux
build_cpu = arm
build_os = linux-gnu
build_vendor = unknown
datadir = ${prefix}/share
exec_prefix = ${prefix}
external_mp4v2 = no
host = arm-unknown-linux-gnu
host_alias = arm-linux
host_cpu = arm
host_os = linux-gnu
host_vendor = unknown
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/tapsa/pilot/vlc/vlc-0.8.4.debian/extras/faad2/install-sh
libdir = `$(XMMS_CONFIG) --input-plugin-dir`
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
oldincludedir = /usr/include
prefix = /usr/local
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
lib_LTLIBRARIES = libmp4.la

libmp4_la_CFLAGS = `$(XMMS_CONFIG) --cflags` -Wall \
       -I$(top_srcdir)/include -I$(top_srcdir)/common/mp4ff


libmp4_la_LIBADD = $(top_builddir)/libfaad/libfaad.la \
       $(top_builddir)/common/mp4ff/libmp4ff.a


libmp4_la_LDFLAGS = -module -avoid-version `$(XMMS_CONFIG) --libs` -lpthread

libmp4_la_SOURCES = libmp4.c mp4_utils.c aac_utils.c
subdir = plugins/xmms/src
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
LTLIBRARIES = $(lib_LTLIBRARIES)

libmp4_la_DEPENDENCIES = $(top_builddir)/libfaad/libfaad.la \
	$(top_builddir)/common/mp4ff/libmp4ff.a
am_libmp4_la_OBJECTS = libmp4_la-libmp4.lo libmp4_la-mp4_utils.lo \
	libmp4_la-aac_utils.lo
libmp4_la_OBJECTS = $(am_libmp4_la_OBJECTS)

DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
DEP_FILES = ./$(DEPDIR)/libmp4_la-aac_utils.Plo \
	./$(DEPDIR)/libmp4_la-libmp4.Plo \
	./$(DEPDIR)/libmp4_la-mp4_utils.Plo
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) \
	$(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
DIST_SOURCES = $(libmp4_la_SOURCES)
DIST_COMMON = $(srcdir)/Makefile.in Makefile.am
SOURCES = $(libmp4_la_SOURCES)

all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  plugins/xmms/src/Makefile
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)
libLTLIBRARIES_INSTALL = $(INSTALL)
install-libLTLIBRARIES: $(lib_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(libdir)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    f="`echo $$p | sed -e 's|^.*/||'`"; \
	    echo " $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(libdir)/$$f"; \
	    $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(libdir)/$$f; \
	  else :; fi; \
	done

uninstall-libLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	    p="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(LIBTOOL) --mode=uninstall rm -f $(DESTDIR)$(libdir)/$$p"; \
	  $(LIBTOOL) --mode=uninstall rm -f $(DESTDIR)$(libdir)/$$p; \
	done

clean-libLTLIBRARIES:
	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" = "$$p" && dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
libmp4.la: $(libmp4_la_OBJECTS) $(libmp4_la_DEPENDENCIES) 
	$(LINK) -rpath $(libdir) $(libmp4_la_LDFLAGS) $(libmp4_la_OBJECTS) $(libmp4_la_LIBADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/libmp4_la-aac_utils.Plo
include ./$(DEPDIR)/libmp4_la-libmp4.Plo
include ./$(DEPDIR)/libmp4_la-mp4_utils.Plo

.c.o:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
	fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `test -f '$<' || echo '$(srcdir)/'`$<

.c.obj:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
	  -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
	fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`

.c.lo:
	if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; \
	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
	fi
#	source='$<' object='$@' libtool=yes \
#	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(LTCOMPILE) -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<

libmp4_la-libmp4.o: libmp4.c
	if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libmp4_la_CFLAGS) $(CFLAGS) -MT libmp4_la-libmp4.o -MD -MP -MF "$(DEPDIR)/libmp4_la-libmp4.Tpo" \
	  -c -o libmp4_la-libmp4.o `test -f 'libmp4.c' || echo '$(srcdir)/'`libmp4.c; \
	then mv -f "$(DEPDIR)/libmp4_la-libmp4.Tpo" "$(DEPDIR)/libmp4_la-libmp4.Po"; \
	else rm -f "$(DEPDIR)/libmp4_la-libmp4.Tpo"; exit 1; \
	fi
#	source='libmp4.c' object='libmp4_la-libmp4.o' libtool=no \
#	depfile='$(DEPDIR)/libmp4_la-libmp4.Po' tmpdepfile='$(DEPDIR)/libmp4_la-libmp4.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libmp4_la_CFLAGS) $(CFLAGS) -c -o libmp4_la-libmp4.o `test -f 'libmp4.c' || echo '$(srcdir)/'`libmp4.c

libmp4_la-libmp4.obj: libmp4.c
	if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libmp4_la_CFLAGS) $(CFLAGS) -MT libmp4_la-libmp4.obj -MD -MP -MF "$(DEPDIR)/libmp4_la-libmp4.Tpo" \
	  -c -o libmp4_la-libmp4.obj `if test -f 'libmp4.c'; then $(CYGPATH_W) 'libmp4.c'; else $(CYGPATH_W) '$(srcdir)/libmp4.c'; fi`; \
	then mv -f "$(DEPDIR)/libmp4_la-libmp4.Tpo" "$(DEPDIR)/libmp4_la-libmp4.Po"; \
	else rm -f "$(DEPDIR)/libmp4_la-libmp4.Tpo"; exit 1; \
	fi
#	source='libmp4.c' object='libmp4_la-libmp4.obj' libtool=no \
#	depfile='$(DEPDIR)/libmp4_la-libmp4.Po' tmpdepfile='$(DEPDIR)/libmp4_la-libmp4.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libmp4_la_CFLAGS) $(CFLAGS) -c -o libmp4_la-libmp4.obj `if test -f 'libmp4.c'; then $(CYGPATH_W) 'libmp4.c'; else $(CYGPATH_W) '$(srcdir)/libmp4.c'; fi`

libmp4_la-libmp4.lo: libmp4.c
	if $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libmp4_la_CFLAGS) $(CFLAGS) -MT libmp4_la-libmp4.lo -MD -MP -MF "$(DEPDIR)/libmp4_la-libmp4.Tpo" \
	  -c -o libmp4_la-libmp4.lo `test -f 'libmp4.c' || echo '$(srcdir)/'`libmp4.c; \
	then mv -f "$(DEPDIR)/libmp4_la-libmp4.Tpo" "$(DEPDIR)/libmp4_la-libmp4.Plo"; \
	else rm -f "$(DEPDIR)/libmp4_la-libmp4.Tpo"; exit 1; \
	fi
#	source='libmp4.c' object='libmp4_la-libmp4.lo' libtool=yes \
#	depfile='$(DEPDIR)/libmp4_la-libmp4.Plo' tmpdepfile='$(DEPDIR)/libmp4_la-libmp4.TPlo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libmp4_la_CFLAGS) $(CFLAGS) -c -o libmp4_la-libmp4.lo `test -f 'libmp4.c' || echo '$(srcdir)/'`libmp4.c

libmp4_la-mp4_utils.o: mp4_utils.c
	if $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libmp4_la_CFLAGS) $(CFLAGS) -MT libmp4_la-mp4_utils.o -MD -MP -MF "$(DEPDIR)/libmp4_la-mp4_utils.Tpo" \
	  -c -o libmp4_la-mp4_utils.o `test -f 'mp4_utils.c' || echo '$(srcdir)/'`mp4_utils.c; \
	then mv -f "$(DEPDIR)/libmp4_la-mp4_utils.Tpo" "$(DEPDIR)/libmp4_la-mp4_utils.Po"; \
	else rm -f "$(DEPDIR)/libmp4_la-mp4_utils.Tpo"; exit 1; \
	fi
#	source='mp4_utils.c' object='libmp4_la-mp4_utils.o' libtool=no \
#	depfile='$(DEPDIR)/libmp4_la-mp4_utils.Po' tmpdepfile='$(DEPDIR)/libmp4_la-mp4_utils.TPo' \
#	$(CCDEPMODE) $(depcomp) \

=== debian/changelog ===
peekaboo (0.5) unstable; urgency=low

  * small fixes in source code and cleaning up some unneccesary code
 -- Sampo Savola <samposav@paju.oulu.fi>  Tue, 4 Dec 2007 16:16:30 +0300

peekaboo (0.4) unstable; urgency=low

  * fixed more bugs in html code
  * camera should now be in peekaboo's posession at startup
 -- Sampo Savola <samposav@paju.oulu.fi>  Thu, 27 Nov 2007 16:16:30 +0300

peekaboo (0.3) unstable; urgency=low

  * fixed bug in html code
  * added animation which indicates that stream is on
  * info has now some relevant information
  * statusbar doesnt anymore show "No network:8080" if no network when starting up program
 -- Sampo Savola <samposav@paju.oulu.fi>  Thu, 21 Nov 2007 12:16:30 +0300

peekaboo (0.2) unstable; urgency=low

  * fixed correct url
  * changed menu structure

 -- Sampo Savola <samposav@paju.oulu.fi>  Thu, 20 Nov 2007 13:16:30 +0300

peekaboo (0.1) unstable; urgency=low

  * first build

 -- Sampo Savola <samposav>  Mon, 5 Nov 2007 12:46:30 +0300

vlc (0.8.4.debian-10gagarin) unstable; urgency=low

  * Small mmap buffer fix for v4l.c
  * Added a new streaming script: vlc_startup_streamer

 -- Seppo Yliklaavu <seppo.yliklaavu@nokia.com>  Thu, 28 Sep 2006 09:18:15 +0300

vlc (0.8.4.debian-9gagarin) unstable; urgency=low

  * V4L access module hacked to support Gagarin camera (V4L v2)

 -- Seppo Yliklaavu <seppo.yliklaavu@nokia.com>  Mon, 28 Aug 2006 12:46:30 +0300

vlc (0.8.4.debian-8) unstable; urgency=low

  * OS2006 updates

 -- Jari Tenhunen <jari.tenhunen@nokia.com>  Tue,  6 Jun 2006 08:20:51 +0300

vlc (0.8.4.debian-7) unstable; urgency=low

  * Removed libvorbis build dependency
  * Added tremor plugin and libraries
  * Compiled with libraries dynamically linked

 -- Jari Tenhunen <jari.tenhunen@nokia.com>  Fri, 24 Mar 2006 02:14:53 -0800

vlc (0.8.4.debian-6) unstable; urgency=low

  * modules/gui/maemo: 
    * got rid of unnecessary garbage in the GUI
    * added menu entries
    * use GTK_STOCK icons
    * reorganized the tabs and added "Add file" button to playlist view 
  * configure.ac: use pkg-config for maemo libs

 -- Jari Tenhunen <jari.tenhunen@nokia.com>  Wed, 22 Mar 2006 00:25:12 -0800

vlc (0.8.4.debian-5) unstable; urgency=low

  * Created a separate maemo GUI module in modules/gui/maemo
  * Modified the X11 output module in modules/video_output/x11 
    so that it sets the WM_CLASS property for its windows

 -- Jari Tenhunen <jari.tenhunen@nokia.com>  Wed,  8 Mar 2006 08:58:07 +0200

vlc (0.8.4.debian-4) unstable; urgency=low

  * Exactly the same as -3 but with sources

 -- Jari Tenhunen <jari.tenhunen@nokia.com>  Fri,  3 Feb 2006 10:00:58 +0200

vlc (0.8.4.debian-3) unstable; urgency=low

  * Built with pda GUI module
  * Bundled some libraries (libmad, libmpeg2, libdvbpsi, libmp3lame, libogg,
    libvorbis, libvorbisenc)

 -- Jari Tenhunen <jari.tenhunen@nokia.com>  Fri, 13 Jan 2006 13:10:02 +0200

vlc (0.8.4.debian-2) unstable; urgency=low

  * Initial Maemo port

 -- Tapio Tolvanen <tapio.tolvanen@nokia.com>  Wed, 30 Nov 2005 13:10:02 +0200

vlc (0.8.4.debian-1) unstable; urgency=low

  * New upstream release.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat, 26 Nov 2005 19:55:09 +0100

vlc (0.8.4-test2-2) unstable; urgency=low

  * extras/x264/configure:
    + Teach the configure script about the Alpha platform.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 11 Nov 2005 18:49:31 +0100

vlc (0.8.4-test2-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Build-depend on a newer version of gnutls (Closes: #335774).
    + Replaced occurrences of "wxwindows" with "wxwidgets" (Closes: #330141).
  * debian/rules:
    + Use dh_buildinfo because of all the static libraries we use.
  * Upstream fixed the wx code so that it builds with newer versions of the
    library (Closes: #332282, #332773).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 11 Nov 2005 10:41:35 +0100

vlc (0.8.4-svn20050920-3) unstable; urgency=low

  * configure.ac:
    + Fixed a bug in the gnomevfs plugin configuration.
  * debian/rules:
    + Explicitly disable the GnomeVFS plugin (Closes: #329317).
  * debian/control:
    + Buuild-depend on yasm on amd64.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed, 21 Sep 2005 11:36:24 +0200

vlc (0.8.4-svn20050920-2) unstable; urgency=low

  * configure:
    + Fixed the powerpc build with gcc-4.x.
  * extras/x264/configure:
    + Added missing Debian architectures to the configure script.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 20 Sep 2005 17:46:35 +0200

vlc (0.8.4-svn20050920-1) unstable; urgency=low

  * New SVN snapshot.
  * configure.ac:
    + Upstream fixed the AltiVec build on PPC.
  * debian/control:
    + Build-depend on a newer version of libavcodec. mp2v and mp1v encoders
      work again (Closes: #324840).
    + Build-depend on gcc-snapshot on i386 and amd64, because currently only
      that version of gcc properly builds some of the MMX modules.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 20 Sep 2005 13:43:41 +0200

vlc (0.8.4-svn20050823-2) unstable; urgency=low

  * debian/control:
    + Build-depend on libflac-dev (>= 1.1.2-3) because of the soname
      change (Closes: #325948).
  * debian/copyright:
    + Fixed the FSF address.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu,  1 Sep 2005 12:36:10 +0200

vlc (0.8.4-svn20050823-1) unstable; urgency=low

  * New SVN snapshot.
  * debian/control:
    + Build-depend on libsmbclient-dev.
    + Build-depend on libwxgtk2.6-dev (Closes: #285373), which means the
      interface now works with non-UTF8 locales (Closes: #308770, #322665).
    + Build-depend on a newer version of libavcodec.
  * debian/rules:
    + Activated SMB client support.
    + Install desktop files in usr/share/applications instead of
      usr/share/gnome/apps/Multimedia.
  * debian/patches/00list:
    + 20_no-wx-updates.dpatch: disabled the update check.


=== debian/control ===
Source: peekaboo
Section: user/multimedia
Priority: optional
Maintainer: Sampo Savola
Standards-Version: 3.6.2.1

Package: peekaboo
Section: user/multimedia
Architecture: arm armel
Depends: 
Provides: 
Description: Peekaboo is a videostreamer.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for the VLC media player - uses debhelper.
# $Id: rules 12681 2005-09-25 23:47:23Z sam $
# based on Joey Hess's one.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
include /usr/share/dpatch/dpatch.make

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
confflags = --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) 

#
# Compilation options
#
vlc_confflags = --enable-release --prefix=/usr

#CONFIG_FLAGS += \
	--prefix=$(pwd)/debian/tmp \
	--enable-release \
	--enable-gtk \
	--disable-livedotcom \
	--disable-plugins \
	--disable-gnome \
	--disable-qt \
	--disable-kde \
	--disable-qte \
	--disable-xosd \
	--disable-arts \
	--disable-libxml2\
	--disable-libmpeg2\
	--enable-fb \
	--disable-sdl \
	--enable-esd \
	--disable-oss \
	--disable-alsa \
	--disable-xvideo \
	--disable-dvd \
	--disable-dvdread \
	--disable-vcd \
	--disable-maxosx \
	--disable-xosd \
	--disable-freetype \
	--disable-flac \
	--disable-skins2 \
	--enable-ffmpeg  \
	--with-ffmpeg-tree=../ffmpeg-20041113  \
	--enable-libmpeg2 \
	--with-libmpeg2-tree=../mpeg2dec-0.4.0 \
	--enable-dvbpsi \
	--with-dvbpsi-tree=../libdvbpsi-20041028 \
	--enable-mad \
	--with-mad-tree=../libmad-0.15.1b \
	--disable-shared \
	--enable-v4l \
	--with-v4l=~/kernel/linux-2.6 \
	$(NULL)

CONFIG_FLAGS += \
	--prefix=/usr \
	--enable-plugins \
	--disable-gnome \
	--enable-gtk \
	--disable-familiar \
	--enable-fb \
	--disable-ggi \
	--disable-sdl \
	--enable-esd \
	--disable-oss \
	--disable-qt \
	--disable-arts \
	--disable-alsa \
	--enable-x11 \
	--disable-pda \
	--disable-maemo \
	--disable-lirc \
	--disable-a52 \
	--disable-aa \
	--disable-xosd \
	--disable-mozilla \
	--disable-kde \
	--disable-mp4 \
	--disable-dvb \
	--disable-dv \
	--disable-satellite \
	--enable-ogg \
	--disable-vorbis \
	--disable-wxwidgets \
	--disable-slp \
	--disable-flac \
	--disable-skins \
	--disable-basic-skins \
	--disable-skins2 \
	--disable-freetype \
	--disable-mkv \
	--disable-pvr \
	--disable-speex \
	--disable-caca \
	--disable-livedotcom \
	--disable-dts \
	--disable-fribidi \
	--disable-cdio \
	--disable-mod \
	--disable-theora \
	--disable-modplug \
	--disable-dvdnav \
	--disable-gnutls \
	--disable-ncurses \
	--disable-smb \
	--disable-gnomevfs \
	--disable-xvideo \
	--enable-tremor \
	--enable-ffmpeg  \
	--with-ffmpeg-mp3lame \
	--enable-libmpeg2 \
	--enable-dvbpsi \
	--enable-mad \
	--disable-shared \
	--enable-v4l \
	$(NULL)

#--with-ffmpeg-tree=../ffmpeg-20041113 \
#--with-mad-tree=../libmad-0.15.1b \
#--with-dvbpsi-tree=../libdvbpsi-20041028 \
#--with-libmpeg2-tree=../mpeg2dec-0.4.0 \

#vlc_confflags += \
	--disable-gnome \
	--disable-gtk \
	--disable-familiar \
	--disable-fb \
	--enable-ggi \
	--enable-sdl \
	--enable-esd \
	--disable-qt \
	--enable-mad \
	--enable-arts \
	--enable-alsa \
	--enable-lirc \
	--enable-a52 \
	--enable-aa \
	--enable-dvbpsi \
	--enable-xosd \
	--enable-mozilla \
	--disable-kde \
	--enable-mp4 \
	--enable-dvb \
	--enable-dv \
	--disable-satellite \
	--enable-ogg \
	--disable-vorbis \
	--enable-tremor \
	--enable-wxwidgets \
	--with-wx-config=wx-config \
	--disable-slp \
	--enable-flac \
	--disable-skins \
	--disable-basic-skins \
	--enable-skins2 \
	--enable-freetype \
	--enable-mkv \
	--enable-v4l \
	--enable-pvr \
	--disable-speex \
	--enable-caca \
	--enable-livedotcom \
	--enable-libmpeg2 \
	--enable-dts \
	--enable-fribidi \
	--enable-cdio \
	--enable-mod \
	--enable-theora \
	--enable-modplug \
	--enable-dvdnav \
	--enable-gnutls \
	--enable-ffmpeg \
	--enable-ncurses \
	--enable-smb \
	--disable-gnomevfs \
	$(NULL)

# These ones are currently shipped with VLC
#vlc_confflags += --enable-faad --with-faad-tree=extras/faad2
#vlc_confflags += --enable-x264 --with-x264-tree=extras/x264

# Glide and svgalib are only for x86
ifeq ($(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU),i386)
vlc_confflags += --enable-glide
vlc_confflags += --enable-svgalib
endif

# We need this hack for i386 and amd64
ifeq ($(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU),i386)
CC = $(shell pwd)/debian/gcc-snapshot
export CC
endif
ifeq ($(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU),amd64)
CC = $(shell pwd)/debian/gcc-snapshot
export CC
endif

# Remove --without-dvdcss in non-totalitarian countries
#vlc_confflags += --enable-dvd --without-dvdcss

# A few shortcuts
VIDDIR = usr/share/vlc
PIXDIR = usr/share/pixmaps
APPDIR = usr/share/applications


#
# Build rules
#

configure: configure-stamp
configure-stamp:
	dh_testdir

	# Touch stuff
	touch configure.ac
	touch aclocal.m4
	touch configure
	touch config.h.in
	touch `find . -name Makefile.in`

	# Check that we have an x264 tree in here (can be a symlink)
#	test -d extras/x264
#	cd extras/x264 \
#	 && ./configure $(confflags) --extra-cflags='$$(ECFLAGS)' \
#	                             --extra-asflags='$$(EASFLAGS)' \
#	 && $(MAKE)
#
	# Check that we have an faad2 tree in here (can be a symlink)
#	test -d extras/faad2
#	cd extras/faad2 \
#	 && touch `find . -name configure.in` \
#	 && touch `find . -name aclocal.m4` \
##	 && touch `find . -name configure` \
#	 && touch `find . -name config.h.in` \
#	 && touch `find . -name Makefile.in` \
#	 && ./configure $(confflags) --disable-shared \
#	 && cd libfaad \
#	 && $(MAKE)

	# Configure VLC 
	# you can add CFLAGS="-march=armv5te" when building for arm
	export LDFLAGS=-L$(CURDIR)/../lib; CPPFLAGS="-I$(CURDIR)/../include" CFLAGS="-O2 -march=armv5te" ./configure --mandir=$${prefix}/share/man \
	  --infodir=$${prefix}/share/info $(CONFIG_FLAGS)

	touch configure-stamp

build: build-stamp
build-stamp: patch configure-stamp
	dh_testdir

	#build peekaboo user interface
	cd modules/gui/peekaboo && $(MAKE) peekaboo

	# Build only VLC, with the non-PIC libs
	$(MAKE) include/vlc_symbols.h
	cd modules && AM_MAKEFLAGS='plugin=no pic=no' $(MAKE)
	$(MAKE) vlc

	# Hackety hackety hack
#	cd extras/x264 && $(MAKE) clean && $(MAKE) ECFLAGS=-fPIC EASFLAGS=-D__PIC__

	# HACKETY HACKETY HACK
#	cd extras/faad2/libfaad && $(MAKE) clean && $(MAKE) AM_CFLAGS=-fPIC

	# Build all the rest, with the PIC libs
	AM_MAKEFLAGS='builtin=no' $(MAKE)

	# Minor test, to see which plugins were built and whether they load
	# properly.
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	./vlc --reset-plugins-cache -l -I rc vlc:quit
endif

	touch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f configure-stamp build-stamp

	# Check that we have an x264 tree in here (can be a symlink)
#	test -d extras/x264
#	-cd extras/x264 && $(MAKE) distclean
	# Check that we have an faad2 tree in here (can be a symlink)
#	test -d extras/faad2
#	-cd extras/faad2 && $(MAKE) distclean

	# Clean zsh completion stuff
	rm -f extras/zsh

	# Removed ugly cruft
	rm -f src/misc/modules_builtin.h
	rm -f mozilla/vlcintf.xpt mozilla/vlcintf.h

	# Remove spurious autotools stuff
	rm -f config.log confdefs.h

	-$(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	
	
	#copy peekaboo
	install -d debian/peekaboo/usr/bin
	install -d debian/peekaboo/usr/share/vlc
	install -d debian/peekaboo/usr/share/applications
	cp modules/gui/peekaboo/peekaboo debian/peekaboo/usr/bin/
	install -d debian/peekaboo/usr/var/peekaboo/graphics/
	cp modules/gui/peekaboo/graphics/* debian/peekaboo/usr/var/peekaboo/graphics/
	#install modules/gui/peekaboo/graphics/ikoni_48.png debian/vlc/usr/share/icons/hicolor/40x40/apps/ikoni_48.png

	install -d debian/peekaboo/usr/var/peekaboo/html/
	cp modules/gui/peekaboo/html/* debian/peekaboo/usr/var/peekaboo/html/
	DESTDIR=`pwd`/debian/peekaboo/ $(MAKE) install prefix=/usr
	install -d debian/peekaboo/usr/share/applications/hildon/
	cp desktop/peekaboo.desktop debian/peekaboo/usr/share/applications/hildon/
	
	

	# Package: vlc
